Skip to navigation

Create Multiple Channels Currency Assignments

Sets enabled currencies and default currency for multiple channels. Note that currencies must be added first in the Settings > Setup > Currencies settings from an active MSF-enabled BigCommerce store control panel before the currencies can be assigned to a channel.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
channel_idlongRequired
The ID of the channel.
enabled_currencieslist of stringsRequired

Currencies that are enabled for the specified channel in ISO 4217 three character alphabetic format.

default_currencystringRequired

Default currency for the channel in ISO 4217 three character alphabetic format. Will be used on storefront when other currencies cannot.

Response

A list of channel currency assignments.
datalist of objectsOptional
metaobjectOptional
Response metadata.

Errors

422
Unprocessable Entity Error